Bug 190872 - deskutils/note Add missing dependencies
Summary: deskutils/note Add missing dependencies
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-06-10 10:07 UTC by Matthias Fechner
Modified: 2014-06-26 21:31 UTC (History)
1 user (show)

See Also:


Attachments
Maintainer Patch for missing dependencies (329 bytes, patch)
2014-06-10 10:07 UTC, Matthias Fechner
no flags Details | Diff
Revised patch for missing dependency (451 bytes, patch)
2014-06-26 20:26 UTC, Matthias Fechner
mfechner: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Matthias Fechner freebsd_committer 2014-06-10 10:07:15 UTC
Created attachment 143611 [details]
Maintainer Patch for missing dependencies

Please apply patch to add missing dependencies to the port.
Thanks.
Comment 1 Raphael Kubo da Costa freebsd_committer 2014-06-23 19:33:56 UTC
The port built just fine here without the additional build dependencies, are you sure they're not needed only at run-time?

Additionally, whenever you change dependencies you need to bump PORTREVISION.
Comment 2 Matthias Fechner freebsd_committer 2014-06-25 04:53:17 UTC
oh I'm sorry, that are run dependencies.
Should I provide a new patch?
Comment 3 Raphael Kubo da Costa freebsd_committer 2014-06-25 19:56:25 UTC
Yes, please.
Comment 4 Matthias Fechner freebsd_committer 2014-06-26 20:26:30 UTC
Created attachment 144175 [details]
Revised patch for missing dependency

Added portrevision and changed to run_dependency.
Comment 5 commit-hook freebsd_committer 2014-06-26 21:31:02 UTC
A commit references this bug:

Author: rakuco
Date: Thu Jun 26 21:30:05 UTC 2014
New revision: 359420
URL: http://svnweb.freebsd.org/changeset/ports/359420

Log:
  Add missing runtime dependencies to the port.

  PR:		190872
  Submitted by:	idefix@fechner.net (maintainer)

Changes:
  head/deskutils/note/Makefile
Comment 6 Raphael Kubo da Costa freebsd_committer 2014-06-26 21:31:27 UTC
Committed, thank you.